Corsi on-line

Upgrade di jQuery per WordPress 3.2

WordPress 3.2 è al momento ancora in fase Beta 2 ma dovrebbe essere disponibile entro giugno sotto forma di Release Candidate e, subito dopo, come stabile; gli sviluppatori e coloro che realizzano temi per questo blog engine dovranno fare quindi i conti con un’importante aggiornamento, questo perché mentre la release 3.1 utilizzava jQuery in versione 1.4.4, la 3.2 utilizza invece la 1.6.1 (rilasciata per via di alcuni problemi di retrocompatibilità rilevati nella 1.6.0).

Se quindi dovessimo realizzare o aggiornare un’estensione o un tema, dovremmo considerare innanzitutto che  i valori associati alle proprietà dovranno essere posti ora tra apici; ad esempio, non si dovrà più scrivere:

$('input[proprietà=valore]')

ma

$('input[proprietà="valore"]')

In secondo luogo le proprietà “selected”, “checked” e “disabled” dovranno essere associate al metodo “.prop()” (di nuova introduzione); esso sostituisce “.attr()” che potrebbe continuare a funzionare nella maggior parte dei casi senza però fornire una garanzia di successo.

Post correlati
I più letti del mese
Tematiche